var timerHandle;

function startTimer(duration, display, timeoutMessage) {
	
	    var start = Date.now(),
        diff,
        minutes,
        seconds;
		
    function timer() {
        diff = duration - (((Date.now() - start) / 1000) | 0);
        minutes = (diff / 60) | 0;
        seconds = (diff % 60) | 0;

        minutes = minutes < 10 ? "0" + minutes : minutes;
        seconds = seconds < 10 ? "0" + seconds : seconds;
		var timeString = minutes + ":" + seconds; 
     	setCpVariable(display, timeString);
		
        if (diff <= 0) {
			setCpVariable(display, timeoutMessage);
          clearTimeout(timerHandle); 
        }
    };
    
    timer();
	clearTimeout(timerHandle); 
	timerHandle = null;
	timerHandle = setInterval(timer, 1000);

		
}




var isSWFOutput = function(){return typeof cp === 'undefined';};


setCpVariable = function (cpUserVariableName, variableValue) {
	if (isSWFOutput()) {
		var objCp = document.getElementById('Captivate');
		if (objCp && objCp.cpEISetValue) {
			objCp.cpEISetValue('m_VarHandle.' + cpUserVariableName, variableValue);
		}
	} else {
		if (typeof window[cpUserVariableName] === 'undefined') {
			if (cp.vm && cp.vm.setVariableValue) {
				cp.vm.setVariableValue(cpUserVariableName, variableValue);
			}
		} else {
			window[cpUserVariableName] = variableValue;
		}
	}
};
